%define dist Compress-Zlib
Name: perl-%dist
Version: 2.010
Release: alt1

Summary: Perl interface to the zlib compression library
License: GPL or Artistic
Group: Development/Perl

URL: %CPAN %dist
Source: %dist-%version.tar
Patch: %name-%version-%release.patch

BuildArch: noarch

# Automatically added by buildreq on Thu May 15 2008
BuildRequires: perl-IO-Compress-Zlib perl-Test-Pod

%description
The Compress::Zlib module provides a Perl interface to the zlib
compression library.

%prep
%setup -q -n %dist-%version
%patch -p1

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README examples
%perl_vendor_privlib/Compress

%changelog
* Thu May 15 2008 Alexey Tourbin <at@altlinux.ru> 2.010-alt1
- 1.42 -> 2.010

* Tue Aug 21 2007 Alexey Tourbin <at@altlinux.ru> 1.42-alt3
- changed src.rpm packaging to keep upstream sources intact

* Tue Feb 27 2007 Alexey Tourbin <at@altlinux.ru> 1.42-alt2
- replaced DynaLoader with XSLoader
- removed AutoLoader which was not needed
- compiled with PERL_NO_GET_CONTEXT for efficiency
- replaced buggy Perl_ninstr() with memchr(3)

* Thu Jul 06 2006 Alexey Tourbin <at@altlinux.ru> 1.42-alt1
- 1.38 -> 1.42

* Thu Sep 08 2005 Alexey Tourbin <at@altlinux.ru> 1.38-alt1
- 1.36 -> 1.38

* Sat Aug 06 2005 Alexey Tourbin <at@altlinux.ru> 1.36-alt1
- 1.34 -> 1.36
- alt-XSLoader.patch merged upstream (cpan #13421)

* Sun Jun 26 2005 Alexey Tourbin <at@altlinux.ru> 1.34-alt2
- added XSLoader stuff (cpan #13421)

* Wed Feb 02 2005 Alexey Tourbin <at@altlinux.ru> 1.34-alt1
- 1.33 -> 1.34
- manual pages not packaged (use perldoc)

* Fri Apr 16 2004 Alexey Tourbin <at@altlinux.ru> 1.33-alt1
- 1.32 -> 1.33

* Mon Dec 01 2003 Alexey Tourbin <at@altlinux.ru> 1.32-alt1
- 1.32

* Tue Nov 11 2003 Alexey Tourbin <at@altlinux.ru> 1.31-alt1
- 1.31; bundled zlib sources ignored

* Tue Jul 08 2003 Alexey Tourbin <at@altlinux.ru> 1.22-alt1
- 1.22

* Fri May 09 2003 Alexey Tourbin <at@altlinux.ru> 1.21-alt1
- 1.21; specfile cleanup

* Wed Dec 18 2002 Alexey Tourbin <at@altlinux.ru> 1.19-alt1
- 1.19
- more %%doc files

* Thu Oct 31 2002 Alexey Tourbin <at@altlinux.ru> 1.18-alt1
- 1.18
- rebuilt for perl-5.8 with new rpm macros

* Sun Jun 09 2002 Mikhail Zabaluev <mhz@altlinux.ru> 1.16-alt1
- Initial release
